#pragma once

#include "CoreMinimal.h"
#include "GameplayTagContainer.h"
#include "EOfferingEffectType.h"
#include "SpecialEventScoreHandler.generated.h"

USTRUCT(BlueprintType)
struct FSpecialEventScoreHandler
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere)
	FGameplayTag _defaultScoreEvent;

	UPROPERTY(EditAnywhere)
	FGameplayTag _eventScoreEvent;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	bool _isAffectedByOffering;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	EOfferingEffectType _offeringEffectTypeNeeded;

	UPROPERTY(EditAnywhere)
	FGameplayTag _eventNoOfferingScoreEvent;

public:
	DEADBYDAYLIGHT_API FSpecialEventScoreHandler();
};

FORCEINLINE uint32 GetTypeHash(const FSpecialEventScoreHandler) { return 0; }
